Uploaded image for project: 'Apache Storm'
  1. Apache Storm
  2. STORM-2893

maven-assembly-plugin upgrade is breaking distribution build

    Details

      Description

      failure
      % mvn clean package && cd storm-dist/binary && mvn -Dgpg.skip=true install
      ...
      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.6:single (default) on project final-package: Execution default of goal org.apache.maven.plugins:maven-assembly-plugin:2.6:single failed: group id '906175167' is too big ( > 2097151 ). Use STAR or POSIX extensions to overcome this limit -> [Help 1]
      

      This is a known issue with the maven-assembly-plugin version 2.5+.

      Prior to a change a few months ago, the maven-assembly-plugin was version 2.2.2, now it's 2.6, as inherited from the apache pom version 18.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                erikdw Erik Weathers
                Reporter:
                erikdw Erik Weathers
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 40m
                  40m